﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.treeView1.ItemsSource = new DataItems();
		}
	}

	public class DataItems : ObservableCollection<DataItem>
	{
		public DataItems()
		{
			DataItem root1 = new DataItem("Root 1", false);

			for (int i = 0; i < 5; i++)
			{
				DataItem d = new DataItem(string.Format("Item {0}", i), true);
				root1.Children.Add(d);
			}

			DataItem root2 = new DataItem("Root 2", false);

			for (int i = 0; i < 5; i++)
			{
				DataItem d = new DataItem(string.Format("Item {0}", i), true);
				root2.Children.Add(d);
			}

			this.Add(root1);
			this.Add(root2);
		}
	}

	public class DataItem
	{
		public DataItem(string title, bool isDropAllowed)
		{
			this.Title = title;
			this.IsDropAllowed = isDropAllowed;
			this.Children = new ObservableCollection<DataItem>();
		}
		public string Title { get; set; }
		public bool IsDropAllowed { get; set; }
		public ObservableCollection<DataItem> Children { get; set; }
	}
}
